| OrbbecSDK 1.10.18 OrbbecSDK: Software-Development-Kit for Orbbec 3D Cameras

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
ob::Sensor Class Reference

`#include <Sensor.hpp>`

## Public Member Functions
| Sensor (std::unique_ptr< SensorImpl > impl)
virtual | ~Sensor () noexcept
OBSensorType | type ()
| Get the sensor type.
const std::shared_ptr< StreamProfileList > | getStreamProfileList ()
| Get the list of stream profiles.
const std::shared_ptr< OBFilterList > | getRecommendedFilters ()
| Request recommended filters.
void | start (std::shared_ptr< StreamProfile > streamProfile, FrameCallback callback)
| Open a frame data stream and set up a callback.
void | stop ()
| Stop the stream.
void | switchProfile (std::shared_ptr< StreamProfile > streamProfile)
| Dynamically switch resolutions.

## Protected Attributes
std::unique_ptr< SensorImpl > | impl_

## Detailed Description

Definition at line 31 of file Sensor.hpp.

## Constructor & Destructor Documentation

## ◆ Sensor()

ob::Sensor::Sensor | ( | std::unique_ptr< SensorImpl > | impl | ) |

## ◆ ~Sensor()

virtual ob::Sensor::~Sensor | ( |  | ) |
| virtual noexcept

## Member Function Documentation

## ◆ type()

OBSensorType ob::Sensor::type | ( |  | ) |

Get the sensor type.

Returns
  OBSensorType The sensor type.

## ◆ getStreamProfileList()

const std::shared_ptr< StreamProfileList > ob::Sensor::getStreamProfileList | ( |  | ) |

Get the list of stream profiles.

Returns
  std::shared_ptr<StreamProfileList> The stream profile list.

## ◆ getRecommendedFilters()

const std::shared_ptr< OBFilterList > ob::Sensor::getRecommendedFilters | ( |  | ) |

Request recommended filters.

Returns
  OBFilterList list of frame processing block

## ◆ start()

void ob::Sensor::start | ( | std::shared_ptr< StreamProfile > | streamProfile,
|  | FrameCallback | callback
| ) |  |

Open a frame data stream and set up a callback.

Parameters

  streamProfile | The stream configuration.
  callback | The callback to set when frame data arrives.

## ◆ stop()

void ob::Sensor::stop | ( |  | ) |

Stop the stream.

## ◆ switchProfile()

void ob::Sensor::switchProfile | ( | std::shared_ptr< StreamProfile > | streamProfile | ) |

Dynamically switch resolutions.

Parameters

  streamProfile | The resolution to switch to.

## Member Data Documentation

## ◆ impl_

std::unique_ptr<SensorImpl> ob::Sensor::impl_
| protected

Definition at line 33 of file Sensor.hpp.

The documentation for this class was generated from the following file:

- E:/Projects/Jenkins/workspace/OrbbecSDK/libobsensor/include/libobsensor/hpp/Sensor.hpp